Bug 1739133 - Review Request: opensbi - RISC-V Open Source Supervisor Binary Interface (OpenSBI)
Summary: Review Request: opensbi - RISC-V Open Source Supervisor Binary Interface (Ope...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2019-08-08 15:12 UTC by Richard W.M. Jones
Modified: 2020-09-15 07:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-08 00:45:20 UTC
Type: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2019-08-08 15:12:47 UTC
Spec URL: http://oirase.annexia.org/reviews/opensbi/opensbi.spec
SRPM URL: http://oirase.annexia.org/reviews/opensbi/opensbi-0.4-1.gitc1b9dd3a.fc30.src.rpm
Description: RISC-V Open Source Supervisor Binary Interface (OpenSBI)
Fedora Account System Username:

Comment 1 Richard W.M. Jones 2019-08-08 15:13:04 UTC
Spec URL: http://oirase.annexia.org/reviews/opensbi/opensbi.spec
SRPM URL: http://oirase.annexia.org/reviews/opensbi/opensbi-0.4-1.gitc1b9dd3a.fc30.src.rpm
Description: RISC-V Open Source Supervisor Binary Interface (OpenSBI)
Fedora Account System Username: rjones

Comment 2 Richard W.M. Jones 2019-08-08 15:13:29 UTC
Scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=36862762

Comment 3 Paolo Bonzini 2019-08-08 15:56:40 UTC
Please install the files in /usr/share rather than /usr/lib.

Can the .a files be used in a Linux program or are they used to build more firmware?  If the former, they should probably reside in /usr/lib and in a riscv package.  If the latter, they should be in a noarch package and should stay in /usr/share.

Either way, binaries that are used by QEMU should be in a subpackage.

Comment 4 Richard W.M. Jones 2019-08-08 16:12:10 UTC
The new package does install the files in /usr/share/opensbi:

$ rpm -qlp ~/rpmbuild/RPMS/noarch/opensbi-0.4-1.gitc1b9dd3a.fc30.noarch.rpm 
/usr/share/opensbi
/usr/share/opensbi/opensbi-riscv64-sifive_u-fw_jump.bin
/usr/share/opensbi/opensbi-riscv64-virt-fw_jump.bin

It will require us to add symlinks from /usr/share/qemu into the qemu package.

Good point about the lib*.a files.  I forgot that they're RISC-V libraries.
I'm not totally sure why we would need to package them (or the header files).
I wonder if we should just drop the -devel package altogether.  David?

Comment 5 Package Review 2020-08-08 00:45:24 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 6 Package Review 2020-09-08 00:45:20 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.

Comment 7 Itamar Reis Peixoto 2020-09-08 01:00:46 UTC
lets finish this.

Comment 8 Richard W.M. Jones 2020-09-15 07:45:45 UTC
Unsetting NEEDINFO.  I discussed this bug with David Abdurachmanov last
week and we will attempt to add this package soon, and at a later version.


Note You need to log in before you can comment on or make changes to this bug.